Bug 863396 - Unable to disable frame around Xfce clock/systray with Adwaita
Unable to disable frame around Xfce clock/systray with Adwaita
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-themes-standard (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cosimo Cecchi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 07:16 EDT by Marcus Moeller
Modified: 2013-04-30 18:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 02:07:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
custom gtkrc (550 bytes, application/octet-stream)
2013-02-17 12:37 EST, Marcus Moeller
no flags Details
Adwaita patch (430 bytes, patch)
2013-02-17 12:37 EST, Marcus Moeller
no flags Details | Diff

  None (edit)
Description Marcus Moeller 2012-10-05 07:16:47 EDT
With the Adwaita default theme in Xfce, I am not able to disable the frame around the clock and systray, anymore (Right Click/Properties/Show Frame). A 1px frame is always displayed.
Comment 1 Kevin Fenzi 2012-10-05 13:15:39 EDT
Is this only the case when using that theme?
Comment 2 Marcus Moeller 2012-10-05 13:16:41 EDT
Yes, it's related to that theme, only.
Comment 3 Kevin Fenzi 2012-10-05 15:24:58 EDT
ok, can you file against that theme? I don't think there's much we can do, it's a theme specific setting...
Comment 4 Marcus Moeller 2012-10-05 16:13:28 EDT
I am going to re-assign it.

The sad thing is that the author of the theme is totally resistent against any form of communication. With the latest release (which includes a pixmaps based GTK2 version of Adwaita) it is no longer usable in non-gnome environments.
Comment 5 Cosimo Cecchi 2012-10-08 12:34:03 EDT
(In reply to comment #4)
> I am going to re-assign it.
> 
> The sad thing is that the author of the theme is totally resistent against
> any form of communication. With the latest release (which includes a pixmaps
> based GTK2 version of Adwaita) it is no longer usable in non-gnome
> environments.

Am I resistent against any form of communication? How did you come up with that?

In any case, what does the Xfce panel do in order to disable that frame? Compatibility with Xfce-specific obscure quirks is not a priority for Adwaita, and I expect UI settings of Xfce core system components to be optimized for a specific Xfce theme - but if we can make it work, why not.
Comment 6 Jason Montleon 2012-12-06 00:02:59 EST
I have been seeing this on several systems as well.
Comment 7 Marcus Moeller 2013-02-17 12:37:05 EST
Created attachment 698550 [details]
custom gtkrc
Comment 8 Marcus Moeller 2013-02-17 12:37:39 EST
Created attachment 698551 [details]
Adwaita patch
Comment 9 Marcus Moeller 2013-02-17 12:39:58 EST
GTK 2 theme unconditionally applies a border, even is shadow is NONE. Guido Berhoerster has prepared a patch to fix the upstream Adwaita gtkrc and a gtkrc override which only applies this for the Xfce panel.

Could we streamline these and include them in the upstream source?
Comment 10 Cosimo Cecchi 2013-02-18 13:35:56 EST
Marcus, I now pushed a proper fix for this to gnome-themes-standard upstream. I plan to do a last 3.6 stable later today to get this and other fixes downstream.
Comment 11 Fedora Update System 2013-02-25 12:23:08 EST
gnome-themes-standard-3.6.5-1.fc18,gtk2-2.24.16-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gnome-themes-standard-3.6.5-1.fc18,gtk2-2.24.16-1.fc18
Comment 12 Fedora Update System 2013-02-26 21:45:09 EST
Package gnome-themes-standard-3.6.5-1.fc18, gtk2-2.24.16-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnome-themes-standard-3.6.5-1.fc18 gtk2-2.24.16-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-3155/gnome-themes-standard-3.6.5-1.fc18,gtk2-2.24.16-1.fc18
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-02-28 02:07:39 EST
gnome-themes-standard-3.6.5-1.fc18, gtk2-2.24.16-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.